---
title: RequestDestination
slug: Web/API/RequestDestination
tags:
  - API
  - Enum
  - Fetch
  - Fetch API
  - Interface
  - NeedsContent
  - RequestDestination
  - Type
  - destination
---
<div>{{APIRef("Fetch")}}</div>

<p><span class="seoSummary">The <code><strong>RequestDestination</strong></code> enumerated type contains the permitted values for a request's {{domxref("Request.destination", "destination")}}. These string values indicate potential types of content that a request may try to retrieve.</span></p>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>""</code></dt>
 <dd>The default value of <code>destination</code> is used for destinations that do not have their own value. <a href="/en-US/docs/Web/API/Navigator/sendBeacon">navigator.sendBeacon()</a>, <a href="/en-US/docs/Web/API/EventSource">EventSource</a>, <a href="/en-US/docs/Web/HTML/Element/a#attr-ping">&lt;a ping&gt;</a>, <a href="/en-US/docs/Web/HTML/Element/area#attr-ping">&lt;area ping&gt;</a>, <a href="/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch">fetch()</a>, <a href="/en-US/docs/Web/API/XMLHttpRequest">XMLHttpRequest</a>, <a href="/en-US/docs/Web/API/WebSocket">WebSocket</a>, <a href="/en-US/docs/Web/API/Cache">Cache </a>and more.</dd>
 <dt><code>"audio"</code></dt>
 <dd>The target is audio data.</dd>
 <dt><code>"audioworklet"</code></dt>
 <dd>The target is data being fetched for use by an audio worklet.</dd>
 <dt><code>"document"</code></dt>
 <dd>The target is a document (HTML or XML).</dd>
 <dt><code>"embed"</code></dt>
 <dd>The target is embedded content.</dd>
 <dt><code>"font"</code></dt>
 <dd>The target is a font.</dd>
 <dt><code>"image"</code></dt>
 <dd>The target is an image.</dd>
 <dt><code>"manifest"</code></dt>
 <dd>The target is a manifest.</dd>
 <dt><code>"object"</code></dt>
 <dd>The target is an object.</dd>
 <dt><code>"paintworklet"</code></dt>
 <dd>The target is a paint worklet.</dd>
 <dt><code>"report"</code></dt>
 <dd>The target is a report.</dd>
 <dt><code>"script"</code></dt>
 <dd>The target is a script.</dd>
 <dt><code>"serviceworker"</code></dt>
 <dd>The target is a service worker.</dd>
 <dt><code>"sharedworker"</code></dt>
 <dd>The target is a shared worker.</dd>
 <dt><code>"style"</code></dt>
 <dd>The target is a style</dd>
 <dt><code>"track"</code></dt>
 <dd>The target is an HTML {{HTMLELement("track")}}.</dd>
 <dt><code>"video"</code></dt>
 <dd>The target is video data.</dd>
 <dt><code>"worker"</code></dt>
 <dd>The target is a worker.</dd>
 <dt><code>"xslt"</code></dt>
 <dd>The target is an XLST transform.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Fetch','#requestdestination','RequestDestination')}}</td>
   <td>{{Spec2('Fetch')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RequestDestination")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fetch_API">Fetch API</a></li>
 <li><a href="/en-US/docs/Web/API/Fetch_API/Using_Fetch">Using Fetch</a></li>
 <li>{{domxref("Request.destination")}}</li>
</ul>
